Index: /XIOS/trunk/extern/remap/src/mpi_routing.cpp
===================================================================
--- /XIOS/trunk/extern/remap/src/mpi_routing.cpp	(revision 1638)
+++ /XIOS/trunk/extern/remap/src/mpi_routing.cpp	(revision 1639)
@@ -10,8 +10,8 @@
 const int verbose = 0;
 
-CMPIRouting::CMPIRouting(ep_lib::MPI_Comm comm) : communicator(comm)
-{
-	ep_lib::MPI_Comm_rank(comm, &mpiRank);
-	ep_lib::MPI_Comm_size(comm, &mpiSize);
+CMPIRouting::CMPIRouting(MPI_Comm comm) : communicator(comm)
+{
+	MPI_Comm_rank(comm, &mpiRank);
+	MPI_Comm_size(comm, &mpiSize);
 }
 
@@ -19,8 +19,8 @@
     but message lengths are *known* to receiver */
 template <typename T>
-void alltoalls_known(const vector<vector<T> >& send, vector<vector<T> >& recv, const vector<int>& ranks, ep_lib::MPI_Comm communicator)
-{
-	vector<ep_lib::MPI_Request> request(ranks.size() * 2);
-	vector<ep_lib::MPI_Status>  status(ranks.size() * 2);
+void alltoalls_known(const vector<vector<T> >& send, vector<vector<T> >& recv, const vector<int>& ranks, MPI_Comm communicator)
+{
+	vector<MPI_Request> request(ranks.size() * 2);
+	vector<MPI_Status>  status(ranks.size() * 2);
 
 	// communicate data
@@ -28,9 +28,9 @@
 	for (int i = 0; i < ranks.size(); i++)
 		if (recv[i].size())
-			ep_lib::MPI_Irecv(&recv[i][0], recv[i].size()*sizeof(T), EP_CHAR, ranks[i], 0, communicator, &request[nbRequest++]);
+			MPI_Irecv(&recv[i][0], recv[i].size()*sizeof(T), MPI_CHAR, ranks[i], 0, communicator, &request[nbRequest++]);
 	for (int i = 0; i < ranks.size(); i++)
 		if (send[i].size())
-			ep_lib::MPI_Isend((void *) &send[i][0], send[i].size()*sizeof(T), EP_CHAR, ranks[i], 0, communicator, &request[nbRequest++]);
-	ep_lib::MPI_Waitall(nbRequest, &request[0], &status[0]);
+			MPI_Isend((void *) &send[i][0], send[i].size()*sizeof(T), MPI_CHAR, ranks[i], 0, communicator, &request[nbRequest++]);
+	MPI_Waitall(nbRequest, &request[0], &status[0]);
 }
 
@@ -38,8 +38,8 @@
     but message lengths are *unknown* to receiver */
 template <typename T>
-void alltoalls_unknown(const vector<vector<T> >& send, vector<vector<T> >& recv, const vector<int>& ranks, ep_lib::MPI_Comm communicator)
-{
-	vector<ep_lib::MPI_Request> request(ranks.size() * 2);
-	vector<ep_lib::MPI_Status>  status(ranks.size() * 2);
+void alltoalls_unknown(const vector<vector<T> >& send, vector<vector<T> >& recv, const vector<int>& ranks, MPI_Comm communicator)
+{
+	vector<MPI_Request> request(ranks.size() * 2);
+	vector<MPI_Status>  status(ranks.size() * 2);
 
 	// communicate sizes
@@ -50,8 +50,8 @@
 		sendSizes[i] = send[i].size();
 	for (int i = 0; i < ranks.size(); i++)
-		ep_lib::MPI_Irecv(&recvSizes[i], 1, EP_INT, ranks[i], 0, communicator, &request[nbRequest++]);
+		MPI_Irecv(&recvSizes[i], 1, MPI_INT, ranks[i], 0, communicator, &request[nbRequest++]);
 	for (int i = 0; i < ranks.size(); i++)
-		ep_lib::MPI_Isend(&sendSizes[i], 1, EP_INT, ranks[i], 0, communicator, &request[nbRequest++]);
-	ep_lib::MPI_Waitall(nbRequest, &request[0], &status[0]);
+		MPI_Isend(&sendSizes[i], 1, MPI_INT, ranks[i], 0, communicator, &request[nbRequest++]);
+	MPI_Waitall(nbRequest, &request[0], &status[0]);
 
 	// allocate
@@ -118,10 +118,10 @@
 	CTimer::get("CMPIRouting::init(reduce_scatter)").reset();
 	CTimer::get("CMPIRouting::init(reduce_scatter)").resume();
-	ep_lib::MPI_Reduce_scatter(toSend, &nbSource, recvCount, EP_INT, EP_SUM, communicator);
+	MPI_Reduce_scatter(toSend, &nbSource, recvCount, MPI_INT, MPI_SUM, communicator);
 	CTimer::get("CMPIRouting::init(reduce_scatter)").suspend();
 	CTimer::get("CMPIRouting::init(reduce_scatter)").print();
 
-	ep_lib::MPI_Alloc_mem(nbTarget *sizeof(int), EP_INFO_NULL, &targetRank);
-	ep_lib::MPI_Alloc_mem(nbSource *sizeof(int), EP_INFO_NULL, &sourceRank);
+	MPI_Alloc_mem(nbTarget *sizeof(int), MPI_INFO_NULL, &targetRank);
+	MPI_Alloc_mem(nbSource *sizeof(int), MPI_INFO_NULL, &sourceRank);
 
 	targetRankToIndex = new int[mpiSize];
@@ -137,10 +137,10 @@
 	}
 
-	ep_lib::MPI_Barrier(communicator);
+	MPI_Barrier(communicator);
 	CTimer::get("CMPIRouting::init(get_source)").reset();
 	CTimer::get("CMPIRouting::init(get_source)").resume();
 
-	ep_lib::MPI_Request *request = new ep_lib::MPI_Request[nbSource + nbTarget];
-	ep_lib::MPI_Status  *status = new ep_lib::MPI_Status[nbSource + nbTarget];
+	MPI_Request *request = new MPI_Request[nbSource + nbTarget];
+	MPI_Status  *status = new MPI_Status[nbSource + nbTarget];
 
 	int indexRequest = 0;
@@ -150,15 +150,11 @@
 	for (int i = 0; i < nbSource; i++)
 	{
-		#ifdef _usingMPI
-                ep_lib::MPI_Irecv(&sourceRank[i], 1, EP_INT, MPI_ANY_SOURCE, 0, communicator, &request[indexRequest]);
-		#elif _usingEP
-                ep_lib::MPI_Irecv(&sourceRank[i], 1, EP_INT, -2, 0, communicator, &request[indexRequest]);
-		#endif
-                indexRequest++;
-	}
-	MPI_Barrier(communicator);
-	for (int i = 0; i < nbTarget; i++)
-	{
-		ep_lib::MPI_Isend(&mpiRank, 1, EP_INT, targetRank[i], 0, communicator, &request[indexRequest]);
+		MPI_Irecv(&sourceRank[i], 1, MPI_INT, MPI_ANY_SOURCE, 0, communicator, &request[indexRequest]);
+		indexRequest++;
+	}
+	MPI_Barrier(communicator);
+	for (int i = 0; i < nbTarget; i++)
+	{
+		MPI_Isend(&mpiRank, 1, MPI_INT, targetRank[i], 0, communicator, &request[indexRequest]);
 		indexRequest++;
 	}
@@ -174,15 +170,11 @@
 	for (int i = 0; i < nbSource; i++)
 	{
-		#ifdef _usingMPI
-                ep_lib::MPI_Irecv(&sourceRank[i], 1, EP_INT, MPI_ANY_SOURCE, 0, communicator, &request[indexRequest]);
-		#elif _usingEP
-                ep_lib::MPI_Irecv(&sourceRank[i], 1, EP_INT, -2, 0, communicator, &request[indexRequest]);
-		#endif
-                indexRequest++;
-	}
-
-	for (int i = 0; i < nbTarget; i++)
-	{
-		ep_lib::MPI_Isend(&mpiRank, 1, EP_INT, targetRank[i], 0, communicator, &request[indexRequest]);
+		MPI_Irecv(&sourceRank[i], 1, MPI_INT, MPI_ANY_SOURCE, 0, communicator, &request[indexRequest]);
+		indexRequest++;
+	}
+
+	for (int i = 0; i < nbTarget; i++)
+	{
+		MPI_Isend(&mpiRank, 1, MPI_INT, targetRank[i], 0, communicator, &request[indexRequest]);
 		indexRequest++;
 	}
@@ -209,5 +201,5 @@
 	for (int i = 0; i < nbSource; i++)
 	{
-		ep_lib::MPI_Irecv(&nbSourceElement[i], 1, EP_INT, sourceRank[i], 0, communicator, &request[indexRequest]);
+		MPI_Irecv(&nbSourceElement[i], 1, MPI_INT, sourceRank[i], 0, communicator, &request[indexRequest]);
 		indexRequest++;
 	}
@@ -216,5 +208,5 @@
 	{
 		totalTargetElement += nbTargetElement[i];
-		ep_lib::MPI_Isend(&nbTargetElement[i], 1, EP_INT, targetRank[i], 0, communicator, &request[indexRequest]);
+		MPI_Isend(&nbTargetElement[i], 1, MPI_INT, targetRank[i], 0, communicator, &request[indexRequest]);
 		indexRequest++;
 	}
@@ -284,9 +276,9 @@
 
 
-	ep_lib::MPI_Request* request=new ep_lib::MPI_Request[nbSource+nbTarget];
-	ep_lib::MPI_Status*  status=new ep_lib::MPI_Status[nbSource+nbTarget];
+	MPI_Request* request=new MPI_Request[nbSource+nbTarget];
+	MPI_Status*  status=new MPI_Status[nbSource+nbTarget];
 	int indexRequest=0;
 
-	ep_lib::MPI_Barrier(communicator);
+	MPI_Barrier(communicator);
 	CTimer::get("CMPIRouting::transferToTarget").reset();
 	CTimer::get("CMPIRouting::transferToTarget").resume();
@@ -294,5 +286,5 @@
 	for(int i=0; i<nbSource; i++)
 	{
-		ep_lib::MPI_Irecv(sourceBuffer[i],nbSourceElement[i]*sizeof(T),EP_CHAR, sourceRank[i], 0, communicator, &request[indexRequest]);
+		MPI_Irecv(sourceBuffer[i],nbSourceElement[i]*sizeof(T),MPI_CHAR, sourceRank[i], 0, communicator, &request[indexRequest]);
 		indexRequest++;
 	}
@@ -300,13 +292,13 @@
 	for(int i=0;i<nbTarget; i++)
 	{
-		ep_lib::MPI_Isend(targetBuffer[i],nbTargetElement[i]*sizeof(T), EP_CHAR, targetRank[i], 0, communicator, &request[indexRequest]);
-		indexRequest++;
-	}
-
-	ep_lib::MPI_Waitall(indexRequest,request,status);
+		MPI_Isend(targetBuffer[i],nbTargetElement[i]*sizeof(T), MPI_CHAR, targetRank[i], 0, communicator, &request[indexRequest]);
+		indexRequest++;
+	}
+
+	MPI_Waitall(indexRequest,request,status);
 
 	CTimer::get("CMPIRouting::transferToTarget").suspend();
 	CTimer::get("CMPIRouting::transferToTarget").print();
-	ep_lib::MPI_Barrier(communicator);
+	MPI_Barrier(communicator);
 
 	// unpack the data
@@ -348,9 +340,9 @@
 	}
 
-	ep_lib::MPI_Request *request = new ep_lib::MPI_Request[nbSource + nbTarget];
-	ep_lib::MPI_Status  *status = new ep_lib::MPI_Status[nbSource + nbTarget];
+	MPI_Request *request = new MPI_Request[nbSource + nbTarget];
+	MPI_Status  *status = new MPI_Status[nbSource + nbTarget];
 	int indexRequest = 0;
 
-	ep_lib::MPI_Barrier(communicator);
+	MPI_Barrier(communicator);
 	CTimer::get("CMPIRouting::transferToTarget(messageSize)").reset();
 	CTimer::get("CMPIRouting::transferToTarget(messageSize)").resume();
@@ -358,5 +350,5 @@
 	for(int i=0; i<nbSource; i++)
 	{
-		ep_lib::MPI_Irecv(&sourceMessageSize[i],1,EP_INT, sourceRank[i], 0, communicator, &request[indexRequest]);
+		MPI_Irecv(&sourceMessageSize[i],1,MPI_INT, sourceRank[i], 0, communicator, &request[indexRequest]);
 		indexRequest++;
 	}
@@ -364,11 +356,11 @@
 	for(int i=0; i<nbTarget; i++)
 	{
-		ep_lib::MPI_Isend(&targetMessageSize[i],1, EP_INT, targetRank[i], 0, communicator, &request[indexRequest]);
-		indexRequest++;
-	}
-
-	ep_lib::MPI_Waitall(indexRequest,request,status);
-
-	ep_lib::MPI_Barrier(communicator);
+		MPI_Isend(&targetMessageSize[i],1, MPI_INT, targetRank[i], 0, communicator, &request[indexRequest]);
+		indexRequest++;
+	}
+
+	MPI_Waitall(indexRequest,request,status);
+
+	MPI_Barrier(communicator);
 	CTimer::get("CMPIRouting::transferToTarget(messageSize)").suspend();
 	CTimer::get("CMPIRouting::transferToTarget(messageSize)").print();
@@ -403,5 +395,5 @@
 	for(int i=0; i<nbSource; i++)
 	{
-		ep_lib::MPI_Irecv(sourceBuffer[i],sourceMessageSize[i],EP_CHAR, sourceRank[i], 0, communicator, &request[indexRequest]);
+		MPI_Irecv(sourceBuffer[i],sourceMessageSize[i],MPI_CHAR, sourceRank[i], 0, communicator, &request[indexRequest]);
 		indexRequest++;
 	}
@@ -409,5 +401,5 @@
 	for(int i=0;i<nbTarget; i++)
 	{
-		ep_lib::MPI_Isend(targetBuffer[i],targetMessageSize[i], EP_CHAR, targetRank[i], 0, communicator, &request[indexRequest]);
+		MPI_Isend(targetBuffer[i],targetMessageSize[i], MPI_CHAR, targetRank[i], 0, communicator, &request[indexRequest]);
 		indexRequest++;
 	}
@@ -468,11 +460,11 @@
 	}
 
-	ep_lib::MPI_Request* request=new ep_lib::MPI_Request[nbSource+nbTarget];
-	ep_lib::MPI_Status*  status=new ep_lib::MPI_Status[nbSource+nbTarget];
+	MPI_Request* request=new MPI_Request[nbSource+nbTarget];
+	MPI_Status*  status=new MPI_Status[nbSource+nbTarget];
 	int indexRequest=0;
 
 	for(int i=0; i<nbSource; i++)
 	{
-		ep_lib::MPI_Isend(sourceBuffer[i],nbSourceElement[i]*sizeof(T),EP_CHAR, sourceRank[i], 0, communicator, &request[indexRequest]);
+		MPI_Isend(sourceBuffer[i],nbSourceElement[i]*sizeof(T),MPI_CHAR, sourceRank[i], 0, communicator, &request[indexRequest]);
 		indexRequest++;
 	}
@@ -480,9 +472,9 @@
 	for(int i=0;i<nbTarget; i++)
 	{
-		ep_lib::MPI_Irecv(targetBuffer[i],nbTargetElement[i]*sizeof(T), EP_CHAR, targetRank[i], 0, communicator, &request[indexRequest]);
-		indexRequest++;
-	}
-
-	ep_lib::MPI_Waitall(indexRequest,request,status);
+		MPI_Irecv(targetBuffer[i],nbTargetElement[i]*sizeof(T), MPI_CHAR, targetRank[i], 0, communicator, &request[indexRequest]);
+		indexRequest++;
+	}
+
+	MPI_Waitall(indexRequest,request,status);
 
 	// unpack the data
@@ -524,18 +516,18 @@
 	}
 
-	ep_lib::MPI_Request *request = new ep_lib::MPI_Request[nbSource + nbTarget];
-	ep_lib::MPI_Status  *status = new ep_lib::MPI_Status[nbSource + nbTarget];
+	MPI_Request *request = new MPI_Request[nbSource + nbTarget];
+	MPI_Status  *status = new MPI_Status[nbSource + nbTarget];
 	int indexRequest = 0;
 	for (int i = 0; i < nbSource; i++)
 	{
-		ep_lib::MPI_Isend(&sourceMessageSize[i], 1, EP_INT, sourceRank[i], 0, communicator, &request[indexRequest]);
-		indexRequest++;
-	}
-	for (int i = 0; i < nbTarget; i++)
-	{
-		ep_lib::MPI_Irecv(&targetMessageSize[i], 1, EP_INT, targetRank[i], 0, communicator, &request[indexRequest]);
-		indexRequest++;
-	}
-	ep_lib::MPI_Waitall(indexRequest, request, status);
+		MPI_Isend(&sourceMessageSize[i], 1, MPI_INT, sourceRank[i], 0, communicator, &request[indexRequest]);
+		indexRequest++;
+	}
+	for (int i = 0; i < nbTarget; i++)
+	{
+		MPI_Irecv(&targetMessageSize[i], 1, MPI_INT, targetRank[i], 0, communicator, &request[indexRequest]);
+		indexRequest++;
+	}
+	MPI_Waitall(indexRequest, request, status);
 
 	for (int i = 0; i < nbTarget; i++)
@@ -565,13 +557,13 @@
 	for (int i = 0; i < nbSource; i++)
 	{
-		ep_lib::MPI_Isend(sourceBuffer[i], sourceMessageSize[i], EP_CHAR, sourceRank[i], 0, communicator, &request[indexRequest]);
-		indexRequest++;
-	}
-	for (int i = 0; i < nbTarget; i++)
-	{
-		ep_lib::MPI_Irecv(targetBuffer[i], targetMessageSize[i], EP_CHAR, targetRank[i], 0, communicator, &request[indexRequest]);
-		indexRequest++;
-	}
-	ep_lib::MPI_Waitall(indexRequest, request, status);
+		MPI_Isend(sourceBuffer[i], sourceMessageSize[i], MPI_CHAR, sourceRank[i], 0, communicator, &request[indexRequest]);
+		indexRequest++;
+	}
+	for (int i = 0; i < nbTarget; i++)
+	{
+		MPI_Irecv(targetBuffer[i], targetMessageSize[i], MPI_CHAR, targetRank[i], 0, communicator, &request[indexRequest]);
+		indexRequest++;
+	}
+	MPI_Waitall(indexRequest, request, status);
 
 	// unpack the data
@@ -613,8 +605,8 @@
 
 template void alltoalls_unknown(const std::vector<std::vector<NES> >& send, std::vector<std::vector<NES> >& recv,
-                                const std::vector<int>& ranks, ep_lib::MPI_Comm communicator);
+                                const std::vector<int>& ranks, MPI_Comm communicator);
 
 template void alltoalls_known(const std::vector<std::vector<int> >& send, std::vector<std::vector<int> >& recv,
-                              const std::vector<int>& ranks, ep_lib::MPI_Comm communicator);
-
-}
+                              const std::vector<int>& ranks, MPI_Comm communicator);
+
+}
Index: /XIOS/trunk/extern/remap/src/mpi_routing.hpp
===================================================================
--- /XIOS/trunk/extern/remap/src/mpi_routing.hpp	(revision 1638)
+++ /XIOS/trunk/extern/remap/src/mpi_routing.hpp	(revision 1639)
@@ -11,5 +11,5 @@
 {
 
-	ep_lib::MPI_Comm communicator;
+	MPI_Comm communicator;
 	int mpiRank;
 	int mpiSize;
@@ -29,5 +29,5 @@
 
 public:
-	CMPIRouting(ep_lib::MPI_Comm comm);
+	CMPIRouting(MPI_Comm comm);
 	~CMPIRouting();
 	template<typename T> void init(const std::vector<T>& route, CMPICascade *cascade = NULL);
@@ -44,9 +44,9 @@
 template <typename T>
 void alltoalls_known(const std::vector<std::vector<T> >& send, std::vector<std::vector<T> >& recv,
-                     const std::vector<int>& ranks, ep_lib::MPI_Comm communicator);
+                     const std::vector<int>& ranks, MPI_Comm communicator);
 
 template <typename T>
 void alltoalls_unknown(const std::vector<std::vector<T> >& send, std::vector<std::vector<T> >& recv,
-                       const std::vector<int>& ranks, ep_lib::MPI_Comm communicator);
+                       const std::vector<int>& ranks, MPI_Comm communicator);
 }
 #endif
Index: /XIOS/trunk/extern/remap/src/parallel_tree.cpp
===================================================================
--- /XIOS/trunk/extern/remap/src/parallel_tree.cpp	(revision 1638)
+++ /XIOS/trunk/extern/remap/src/parallel_tree.cpp	(revision 1639)
@@ -115,5 +115,5 @@
 
 //CParallelTree::CParallelTree(MPI_Comm comm) : communicator(comm), cascade(MIN_NODE_SZ*MIN_NODE_SZ, comm)
-CParallelTree::CParallelTree(ep_lib::MPI_Comm comm) : communicator(comm), cascade(MAX_NODE_SZ*MAX_NODE_SZ*2, comm)
+CParallelTree::CParallelTree(MPI_Comm comm) : communicator(comm), cascade(MAX_NODE_SZ*MAX_NODE_SZ*2, comm)
 {
 	treeCascade.reserve(cascade.num_levels);
@@ -151,5 +151,5 @@
 
 	int nrecv; // global number of samples  THIS WILL BE THE NUMBER OF LEAFS IN THE SAMPLE TREE
-	ep_lib::MPI_Allreduce(&n, &nrecv, 1, EP_INT, EP_SUM, comm.comm); // => size of sample tree does not depend on keepNodes!
+	MPI_Allreduce(&n, &nrecv, 1, MPI_INT, MPI_SUM, comm.comm); // => size of sample tree does not depend on keepNodes!
 	double ratio = blocSize / (1.0 * nrecv);
 	int nsend = ratio * n + 1; // nsend = n_local_samples / n_global_samples * blocksize + 1 = blocksize/comm.size
@@ -157,5 +157,5 @@
 
 	int *counts = new int[comm.size];
-	ep_lib::MPI_Allgather(&nsend, 1, EP_INT, counts, 1, EP_INT, comm.comm);
+	MPI_Allgather(&nsend, 1, MPI_INT, counts, 1, MPI_INT, comm.comm);
 
 	nrecv = 0;
@@ -183,5 +183,5 @@
 	/* each process needs the sample elements from all processes */
 	double *recvBuffer = new double[nrecv*4];
-	ep_lib::MPI_Allgatherv(sendBuffer, 4 * nsend, EP_DOUBLE, recvBuffer, counts, displs, EP_DOUBLE, comm.comm);
+	MPI_Allgatherv(sendBuffer, 4 * nsend, MPI_DOUBLE, recvBuffer, counts, displs, MPI_DOUBLE, comm.comm);
 	delete[] sendBuffer;
 	delete[] counts;
@@ -241,5 +241,5 @@
          << "   node size : "<<node.size()<<"   bloc size : "<<blocSize<<"  total number of leaf : "<<tree.leafs.size()<<endl ;
 /*
-	MPI_Allreduce(&ok, &allok, 1, EP_INT, MPI_PROD, communicator);
+	MPI_Allreduce(&ok, &allok, 1, MPI_INT, MPI_PROD, communicator);
 	if (!allok) {
 		MPI_Finalize();
@@ -247,5 +247,5 @@
 	}
 */
-    ep_lib::MPI_Abort(EP_COMM_WORLD,-1) ;
+    MPI_Abort(MPI_COMM_WORLD,-1) ;
   }
 /*
@@ -265,5 +265,5 @@
 {
 	CMPIRouting MPIRoute(communicator);
-	ep_lib::MPI_Barrier(communicator);
+	MPI_Barrier(communicator);
 	CTimer::get("buildLocalTree(initRoute)").resume();
 	MPIRoute.init(route);
@@ -290,5 +290,5 @@
 
 	int mpiRank;
-	ep_lib::MPI_Comm_rank(communicator, &mpiRank);
+	MPI_Comm_rank(communicator, &mpiRank);
 	localTree.leafs.reserve(nbLocalElements);
 	for (int i = 0; i < nbLocalElements; i++)
@@ -316,7 +316,7 @@
   nb1=node.size() ; nb2=node2.size() ;
   nb=nb1+nb2 ;
-  ep_lib::MPI_Allreduce(&nb, &nbTot, 1, EP_LONG, EP_SUM, communicator) ;
+  MPI_Allreduce(&nb, &nbTot, 1, MPI_LONG, MPI_SUM, communicator) ;
   int commSize ;
-  ep_lib::MPI_Comm_size(communicator,&commSize) ;
+  MPI_Comm_size(communicator,&commSize) ;
   
 	// make multiple of two
@@ -501,9 +501,9 @@
 	// gather circles on this level of the cascade
 	int pg_size;
-	ep_lib::MPI_Comm_size(cascade.level[level].pg_comm, &pg_size);
+	MPI_Comm_size(cascade.level[level].pg_comm, &pg_size);
 	vector<Coord> allRootCentres(pg_size);
 	vector<double> allRootRadia(pg_size);
-	ep_lib::MPI_Allgather(&rootCentre, 3, EP_DOUBLE, &allRootCentres[0], 3, EP_DOUBLE, cascade.level[level].pg_comm);
-	ep_lib::MPI_Allgather(&rootRadius, 1, EP_DOUBLE, &allRootRadia[0],   1, EP_DOUBLE, cascade.level[level].pg_comm);
+	MPI_Allgather(&rootCentre, 3, MPI_DOUBLE, &allRootCentres[0], 3, MPI_DOUBLE, cascade.level[level].pg_comm);
+	MPI_Allgather(&rootRadius, 1, MPI_DOUBLE, &allRootRadia[0],   1, MPI_DOUBLE, cascade.level[level].pg_comm);
 
 	// now allRootsRadia and allRootCentres must be inserted into second levels of us and propagated to root
Index: /XIOS/trunk/extern/remap/src/parallel_tree.hpp
===================================================================
--- /XIOS/trunk/extern/remap/src/parallel_tree.hpp	(revision 1638)
+++ /XIOS/trunk/extern/remap/src/parallel_tree.hpp	(revision 1639)
@@ -12,5 +12,5 @@
 {
 public:
-	CParallelTree(ep_lib::MPI_Comm comm);
+	CParallelTree(MPI_Comm comm);
 	~CParallelTree();
 
@@ -34,5 +34,5 @@
 	vector<CSampleTree> treeCascade; // first for sample tree, then for routing tree
 	CMPICascade cascade;
-  ep_lib::MPI_Comm communicator ;
+  MPI_Comm communicator ;
 
 };
Index: /XIOS/trunk/src/buffer_client.cpp
===================================================================
--- /XIOS/trunk/src/buffer_client.cpp	(revision 1638)
+++ /XIOS/trunk/src/buffer_client.cpp	(revision 1639)
@@ -12,5 +12,5 @@
   size_t CClientBuffer::maxRequestSize = 0;
 
-  CClientBuffer::CClientBuffer(ep_lib::MPI_Comm interComm, int serverRank, StdSize bufferSize, StdSize estimatedMaxEventSize, StdSize maxBufferedEvents)
+  CClientBuffer::CClientBuffer(MPI_Comm interComm, int serverRank, StdSize bufferSize, StdSize estimatedMaxEventSize, StdSize maxBufferedEvents)
     : interComm(interComm)
     , serverRank(serverRank)
@@ -83,5 +83,5 @@
   bool CClientBuffer::checkBuffer(void)
   {
-    ep_lib::MPI_Status status;
+    MPI_Status status;
     int flag;
 
@@ -89,5 +89,5 @@
     {
       traceOff();
-      ep_lib::MPI_Test(&request, &flag, &status);
+      MPI_Test(&request, &flag, &status);
       traceOn();
       if (flag == true) pending = false;
@@ -98,5 +98,5 @@
       if (count > 0)
       {
-        ep_lib::MPI_Issend(buffer[current], count, EP_CHAR, serverRank, 20, interComm, &request);
+        MPI_Issend(buffer[current], count, MPI_CHAR, serverRank, 20, interComm, &request);
         pending = true;
         if (current == 1) current = 0;
Index: /XIOS/trunk/src/buffer_client.hpp
===================================================================
--- /XIOS/trunk/src/buffer_client.hpp	(revision 1638)
+++ /XIOS/trunk/src/buffer_client.hpp	(revision 1639)
@@ -14,5 +14,5 @@
       static size_t maxRequestSize;
 
-      CClientBuffer(ep_lib::MPI_Comm intercomm, int serverRank, StdSize bufferSize, StdSize estimatedMaxEventSize, StdSize maxBufferedEvents);
+      CClientBuffer(MPI_Comm intercomm, int serverRank, StdSize bufferSize, StdSize estimatedMaxEventSize, StdSize maxBufferedEvents);
       ~CClientBuffer();
 
@@ -39,8 +39,8 @@
       bool pending;
 
-      ep_lib::MPI_Request request;
+      MPI_Request request;
 
       CBufferOut* retBuffer;
-      const ep_lib::MPI_Comm interComm;
+      const MPI_Comm interComm;
   };
 }
Index: /XIOS/trunk/src/client.cpp
===================================================================
--- /XIOS/trunk/src/client.cpp	(revision 1638)
+++ /XIOS/trunk/src/client.cpp	(revision 1639)
@@ -9,5 +9,4 @@
 #include "oasis_cinterface.hpp"
 #include "mpi.hpp"
-//#include "mpi_wrapper.hpp"
 #include "timer.hpp"
 #include "buffer_client.hpp"
@@ -17,7 +16,7 @@
 {
 
-    ep_lib::MPI_Comm CClient::intraComm ;
-    ep_lib::MPI_Comm CClient::interComm ;
-    std::list<ep_lib::MPI_Comm> CClient::contextInterComms;
+    MPI_Comm CClient::intraComm ;
+    MPI_Comm CClient::interComm ;
+    std::list<MPI_Comm> CClient::contextInterComms;
     int CClient::serverLeader ;
     bool CClient::is_MPI_Initialized ;
@@ -25,5 +24,5 @@
     StdOFStream CClient::m_infoStream;
     StdOFStream CClient::m_errorStream;
-    ep_lib::MPI_Comm& CClient::getInterComm(void)   { return (interComm); }
+    MPI_Comm& CClient::getInterComm(void)   { return (interComm); }
      
 ///---------------------------------------------------------------
@@ -36,8 +35,8 @@
  */
 
-    void CClient::initialize(const string& codeId, ep_lib::MPI_Comm& localComm, ep_lib::MPI_Comm& returnComm)
+    void CClient::initialize(const string& codeId, MPI_Comm& localComm, MPI_Comm& returnComm)
     {
       int initialized ;
-      ep_lib::MPI_Initialized(&initialized) ;
+      MPI_Initialized(&initialized) ;
       if (initialized) is_MPI_Initialized=true ;
       else is_MPI_Initialized=false ;
@@ -48,9 +47,9 @@
       {
 // localComm isn't given
-        if (localComm == EP_COMM_NULL)
+        if (localComm == MPI_COMM_NULL)
         {
           if (!is_MPI_Initialized)
           {
-            ep_lib::MPI_Init(NULL, NULL);
+            MPI_Init(NULL, NULL);
           }
           CTimer::get("XIOS").resume() ;
@@ -64,13 +63,12 @@
           int myColor ;
           int i,c ;
-          ep_lib::MPI_Comm newComm ;
-
-          ep_lib::MPI_Comm_size(CXios::globalComm,&size) ;
-
-          ep_lib::MPI_Comm_rank(CXios::globalComm,&rank_);
+          MPI_Comm newComm ;
+
+          MPI_Comm_size(CXios::globalComm,&size) ;
+          MPI_Comm_rank(CXios::globalComm,&rank_);
 
           hashAll=new unsigned long[size] ;
 
-          ep_lib::MPI_Allgather(&hashClient,1,EP_LONG,hashAll,1,EP_LONG,CXios::globalComm) ;
+          MPI_Allgather(&hashClient,1,MPI_LONG,hashAll,1,MPI_LONG,CXios::globalComm) ;
 
           map<unsigned long, int> colors ;
@@ -99,5 +97,5 @@
 
           myColor=colors[hashClient];
-          ep_lib::MPI_Comm_split(CXios::globalComm,myColor,rank_,&intraComm) ;
+          MPI_Comm_split(CXios::globalComm,myColor,rank_,&intraComm) ;
 
           if (CXios::usingServer)
@@ -106,14 +104,14 @@
             serverLeader=leaders[hashServer] ;
             int intraCommSize, intraCommRank ;
-            ep_lib::MPI_Comm_size(intraComm,&intraCommSize) ;
-            ep_lib::MPI_Comm_rank(intraComm,&intraCommRank) ;
+            MPI_Comm_size(intraComm,&intraCommSize) ;
+            MPI_Comm_rank(intraComm,&intraCommRank) ;
             info(50)<<"intercommCreate::client "<<rank_<<" intraCommSize : "<<intraCommSize
                    <<" intraCommRank :"<<intraCommRank<<"  clientLeader "<< serverLeader<<endl ;
-             ep_lib::MPI_Intercomm_create(intraComm, 0, CXios::globalComm, serverLeader, 0, &interComm) ;
+             MPI_Intercomm_create(intraComm, 0, CXios::globalComm, serverLeader, 0, &interComm) ;
              //rank_ = intraCommRank;
           }
           else
           {
-            ep_lib::MPI_Comm_dup(intraComm,&interComm) ;
+            MPI_Comm_dup(intraComm,&interComm) ;
           }
           delete [] hashAll ;
@@ -128,6 +126,6 @@
           else
           {
-            ep_lib::MPI_Comm_dup(localComm,&intraComm) ;
-            ep_lib::MPI_Comm_dup(intraComm,&interComm) ;
+            MPI_Comm_dup(localComm,&intraComm) ;
+            MPI_Comm_dup(intraComm,&interComm) ;
           }
         }
@@ -137,10 +135,10 @@
       {
         // localComm isn't given
-        if (localComm == EP_COMM_NULL)
+        if (localComm == MPI_COMM_NULL)
         {
           if (!is_MPI_Initialized) oasis_init(codeId) ;
           oasis_get_localcomm(localComm) ;
         }
-        ep_lib::MPI_Comm_dup(localComm,&intraComm) ;
+        MPI_Comm_dup(localComm,&intraComm) ;
 
         CTimer::get("XIOS").resume() ;
@@ -149,15 +147,15 @@
         if (CXios::usingServer)
         {
-          ep_lib::MPI_Status status ;
-          ep_lib::MPI_Comm_rank(intraComm,&rank_) ;
+          MPI_Status status ;
+          MPI_Comm_rank(intraComm,&rank_) ;
 
           oasis_get_intercomm(interComm,CXios::xiosCodeId) ;
-          if (rank_==0) ep_lib::MPI_Recv(&serverLeader,1, EP_INT, 0, 0, interComm, &status) ;
-          ep_lib::MPI_Bcast(&serverLeader,1,EP_INT,0,intraComm) ;
-        }
-        else ep_lib::MPI_Comm_dup(intraComm,&interComm) ;
-      }
-
-      ep_lib::MPI_Comm_dup(intraComm,&returnComm) ;
+          if (rank_==0) MPI_Recv(&serverLeader,1, MPI_INT, 0, 0, interComm, &status) ;
+          MPI_Bcast(&serverLeader,1,MPI_INT,0,intraComm) ;
+        }
+        else MPI_Comm_dup(intraComm,&interComm) ;
+      }
+
+      MPI_Comm_dup(intraComm,&returnComm) ;
     }
 
@@ -170,5 +168,5 @@
  * Function is only called by client.
  */
-    void CClient::registerContext(const string& id, ep_lib::MPI_Comm contextComm)
+    void CClient::registerContext(const string& id, MPI_Comm contextComm)
     {
       CContext::setCurrent(id) ;
@@ -180,6 +178,6 @@
       // Attached mode
       {
-        ep_lib::MPI_Comm contextInterComm ;
-        ep_lib::MPI_Comm_dup(contextComm,&contextInterComm) ;
+        MPI_Comm contextInterComm ;
+        MPI_Comm_dup(contextComm,&contextInterComm) ;
         CContext* contextServer = CContext::create(idServer);
 
@@ -200,9 +198,9 @@
         size_t message_size ;
         int leaderRank ;
-        ep_lib::MPI_Comm contextInterComm ;
-
-        ep_lib::MPI_Comm_size(contextComm,&size) ;
-        ep_lib::MPI_Comm_rank(contextComm,&rank) ;
-        ep_lib::MPI_Comm_rank(CXios::globalComm,&globalRank) ;
+        MPI_Comm contextInterComm ;
+
+        MPI_Comm_size(contextComm,&size) ;
+        MPI_Comm_rank(contextComm,&rank) ;
+        MPI_Comm_rank(CXios::globalComm,&globalRank) ;
         if (rank!=0) globalRank=0 ;
 
@@ -216,16 +214,16 @@
         buffer<<msg ;
 
-        ep_lib::MPI_Send((void*)buff,buffer.count(),EP_CHAR,serverLeader,1,CXios::globalComm) ;
-
-        ep_lib::MPI_Intercomm_create(contextComm,0,CXios::globalComm,serverLeader,10+globalRank,&contextInterComm) ;
+        MPI_Send((void*)buff,buffer.count(),MPI_CHAR,serverLeader,1,CXios::globalComm) ;
+
+        MPI_Intercomm_create(contextComm,0,CXios::globalComm,serverLeader,10+globalRank,&contextInterComm) ;
         info(10)<<"Register new Context : "<<id<<endl ;
-        ep_lib::MPI_Comm inter ;
-        ep_lib::MPI_Intercomm_merge(contextInterComm,0,&inter) ;
-        ep_lib::MPI_Barrier(inter) ;
+        MPI_Comm inter ;
+        MPI_Intercomm_merge(contextInterComm,0,&inter) ;
+        MPI_Barrier(inter) ;
 
         context->initClient(contextComm,contextInterComm) ;
 
         contextInterComms.push_back(contextInterComm);
-        ep_lib::MPI_Comm_free(&inter);
+        MPI_Comm_free(&inter);
         delete [] buff ;
 
@@ -253,8 +251,8 @@
         int msg=0 ;
 
-        ep_lib::MPI_Comm_rank(intraComm,&rank) ;
+        MPI_Comm_rank(intraComm,&rank) ;
         if (rank==0) 
         {
-          ep_lib::MPI_Send(&msg,1,EP_INT,0,5,interComm) ; // tags oasis_endded = 5
+          MPI_Send(&msg,1,MPI_INT,0,5,interComm) ; // tags oasis_endded = 5
         }
 
@@ -268,19 +266,19 @@
       int msg=0 ;
 
-      ep_lib::MPI_Comm_rank(intraComm,&rank) ;
+      MPI_Comm_rank(intraComm,&rank) ;
  
       if (!CXios::isServer)
       {
-        ep_lib::MPI_Comm_rank(intraComm,&rank) ;
+        MPI_Comm_rank(intraComm,&rank) ;
         if (rank==0)
         {
-          ep_lib::MPI_Send(&msg,1,EP_INT,0,0,interComm) ;
-        }
-      }
-
-      for (std::list<ep_lib::MPI_Comm>::iterator it = contextInterComms.begin(); it != contextInterComms.end(); it++)
-        ep_lib::MPI_Comm_free(&(*it));
-      ep_lib::MPI_Comm_free(&interComm);
-      ep_lib::MPI_Comm_free(&intraComm);
+          MPI_Send(&msg,1,MPI_INT,0,0,interComm) ;
+        }
+      }
+
+      for (std::list<MPI_Comm>::iterator it = contextInterComms.begin(); it != contextInterComms.end(); it++)
+        MPI_Comm_free(&(*it));
+      MPI_Comm_free(&interComm);
+      MPI_Comm_free(&intraComm);
 
       CTimer::get("XIOS init/finalize").suspend() ;
@@ -290,5 +288,5 @@
       {
         if (CXios::usingOasis) oasis_finalize();
-        else ep_lib::MPI_Finalize() ;
+        else MPI_Finalize() ;
       }
       
@@ -327,5 +325,5 @@
       int size = 0;
       int rank;
-      ep_lib::MPI_Comm_size(CXios::globalComm, &size);
+      MPI_Comm_size(CXios::globalComm, &size);
       while (size)
       {
@@ -336,5 +334,5 @@
       if (CXios::usingOasis)
       {
-        ep_lib::MPI_Comm_rank(CXios::globalComm,&rank);
+        MPI_Comm_rank(CXios::globalComm,&rank);
         fileNameClient << fileName << "_" << std::setfill('0') << std::setw(numDigit) << rank << ext;
       }
